package sk.codeblog.seccam;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.telephony.SmsMessage;

public class SmsReceiver extends BroadcastReceiver {

    private final String PDUS = "pdus";

    @Override
    public void onReceive(Context context, Intent intent) {
        Bundle extras = intent.getExtras();

        if (extras == null) {
            return;
        }

        Object[] smsExtras = (Object[]) extras.get(PDUS);

        for (Object smsExtra : smsExtras) {
            byte[] smsBytes = (byte[]) smsExtra;

            SmsMessage smsMessage = SmsMessage.createFromPdu(smsBytes);

            String body = smsMessage.getMessageBody().toUpperCase();
            String phoneNumber = smsMessage.getOriginatingAddress();

            if (phoneNumber.equals(Config.AuthorizedPhoneNumber)) {
                switch (body) {
                    case "PHOTO": {
                        Actions.Init(context);
                        Actions.TakePhoto();
                    }
                    break;

                    //sem mozno pridat pripadne nove funkcnosti
                }
            }
        }
    }
}
